Bug 103080 - A new default set of bundled fonts
Summary: A new default set of bundled fonts
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.3.0.0.alpha0+
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:6.0.0 target:6.1.0 target:6.0....
Keywords:
: 101510 (view as bug list)
Depends on: 113532 113538
Blocks: Fonts-Bundled
  Show dependency treegraph
 
Reported: 2016-10-10 05:58 UTC by Yousuf Philips (jay) (retired)
Modified: 2018-08-03 18:50 UTC (History)
16 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2016-10-10 05:58:52 UTC
I've been researching our current bundled fonts and think its time to do some cleanup.

Step 1 - Removals
=================
The current font bundle takes up 42.5 MB and 45% (19.2 MB) of it is taken up by the Linux Biolinum G, Linux Libertine Display G, and Linux Libertine G fonts and think they should be the first to go as they takes up way to much space, they arent highly used fonts, and Khaled Hosney mentioned that "they are unmaintained, and of limited value if we move to have OpenType features everywhere."

The next thing on the chopping block would be the second largest font collection that takes up 22% (9.2 MB), Deja Vu. This Bitstream Vera derivative which has been around since OOo 2.4 is still being updated, but only has had 5 revisions since LO was created and has limited language support (Latin, Greek, Cyrillic, Armenian, Georgian). If letting go complete of Deja Vu isnt agreed upon, then I'd suggest we reduce its size by 45% (to 5.1 MB) by removing the Condensed and ExtraLight versions.

Step 2 - Replacements
=====================
In order to eliminate bundling similar and/or derivative fonts, we can substitute less useful fonts with others, similar to when Bitstream Vera was replaced by DejaVu. Open Sans resembled Droid Sans and has limited language support (Latin, Greek and Cyrillic) and doesnt have a serif equivalent that we can bundle. So we should replace this with the Droid derivative Noto font family, which has both sans and serif and unlimited language support, but i would suggest limiting the languages to what is covered in Deja Vu to begin with, which would take up 3.1 MB. (Tomaz and Adolfo both recommended this in bug 91150)

Step 3 - Additions
==================
With the removals and replacements, the fonts now take up ~16 MB and we can begin not only adding english fonts but open source fonts for languages we previously didnt support through our bundled fonts.

I will include addition suggestions in follow up comments on the bug report once my research has completed.

-----------------

My research is being done with others in the community on Google Drive and here are links to the various spreadsheets that are being working on. You are welcome to contribute if you'd like. :D

Bundled Fonts - https://docs.google.com/spreadsheets/d/1hHMR8QDVExlmc2iumQMAb5bW6XvoY_4uOB38TQYY6aw/edit?usp=sharing

Arabic / CTL Fonts - https://docs.google.com/spreadsheets/d/1Lnu3Kue9wjmEIwFQHfiBI9MwkAbZ8xmObUHRe072gAI/edit?usp=sharing


CJK Fonts - https://docs.google.com/spreadsheets/d/1syemK75H5NvxyzxWRmxaTCPDuv0pfZc8_yS0VCk-VYI/edit?usp=sharing
Comment 1 Heiko Tietze 2016-10-10 08:30:22 UTC
Fully agree with the cleanup, although it's a pity for Open Sans. Just to mention: Fonts would fit perfectly the additions concept (closed discussion only, at the moment), which basically maximizes the extensions and allows easy installation.

Additionally, fonts are better organized by the OS.
Comment 2 Michael Stahl (CIB) 2016-10-10 10:42:01 UTC
i see "DejaVu Sans Condensed" being used in the default style in
OOo 3.3 Writer - that means there are going to be a lot of
existing documents referencing it, so i don't think we can remove it.
Comment 3 Yousuf Philips (jay) (retired) 2016-10-10 18:47:41 UTC
(In reply to Michael Stahl from comment #2)
> i see "DejaVu Sans Condensed" being used in the default style in
> OOo 3.3 Writer - that means there are going to be a lot of
> existing documents referencing it, so i don't think we can remove it.

As DejaVu comes preinstalled on linux distros and Times New Roman was used in the default style in OOo 3.3 for windows, i dont see a problem for its removal. We've been defaulting to use Times New Roman or Liberation Serif since LO conception, so 6 years of documents wont have any such problems and so do newly created documents. Ultimately users who still use the font will have it installed on their systems and if they dont, they will be able to install it even if we dont install it for them.

Hopefully if we can get a missing fonts infobar created (bug 78186), we can assist users who are missing any font used in the creation of a document.
Comment 4 Jean-Francois Nifenecker 2016-10-11 05:22:31 UTC
(In reply to Yousuf Philips (jay) from comment #0)
> I've been researching our current bundled fonts and think its time to do
> some cleanup.
> 
> Step 1 - Removals
> =================
> The current font bundle takes up 42.5 MB and 45% (19.2 MB) of it is taken up
> by the Linux Biolinum G, Linux Libertine Display G, and Linux Libertine G
> fonts and think they should be the first to go as they takes up way to much
> space, they arent highly used fonts, and Khaled Hosney mentioned that "they
> are unmaintained, and of limited value if we move to have OpenType features
> everywhere."
> 

The Linux * G fonts are the only ones that allow support for enhanced typographic management within documents. Using them in conjunction with the Typography toolbar extension (http://extensions.libreoffice.org/extension-center/typography-toolbar) contributes to make Writer a true DTP tool. This is why they are used by some people (myself included) as their template fonts. This means that removing them from LibO installs would, at best, force to add them afterward, and, at worse, would fail to show the qualities of Writer, typographically-wise.
Hence, I strongly disagree with the removal of these fonts. For the time being, the mere fact they haven't been updated in a while doesn't make them rubbish, anyway.

Another option would be to remove the fonts from the software installation, as proposed, and provide a separate font bundle to be downloaded at the very same place the software is available.

Besides, I agree with the idea that the proposed cleanup should only be done after a missing font infobar is available so that users whose documents rely upon removed fonts be clearly aware of the changes and can take the appropriate measures.
Comment 5 Khaled Hosny 2016-10-11 11:30:26 UTC
After bug 89870 gets fixed, we will probably have a way to control typographic features for OpenType fonts as well, so fine typography will not be restricted to Graphite fonts. The other things that the *G fonts do and not usually done by OpenType fonts are niche at best and bogus at worst, so it should be fine for people wanting them to install the fonts themselves.
Comment 6 V Stuart Foote 2016-10-11 16:13:04 UTC
Would propose an alternative route.

Reduce the "bundled" font to just a single font with good Unicode coverage--NOTO NotoSansMonoCJKsc-Regular (15.7MB) seems suitable--and of course keep OpenSymbol, but strip everything else out.

And then bundle additional license suitable fonts as a single optional package/extension with a rudimentary installer to allow users to some "guided" choices for the fonts they need to add. Guided in the sense for example that Linux systems need Carlito, Caladea while Windows installs do not.

Maintain that package/extension as its own project removed from core.

Then a tender for dev/typographer to rework OpenSymbol to our need of coverage of the Unicode SMP pages used for Emoji and well formed formula.
Comment 7 Yousuf Philips (jay) (retired) 2016-10-11 16:49:54 UTC
(In reply to Jean-Francois Nifenecker from comment #4)
> The Linux * G fonts are the only ones that allow support for enhanced
> typographic management within documents. Using them in conjunction with the
> Typography toolbar extension
> (http://extensions.libreoffice.org/extension-center/typography-toolbar)
> contributes to make Writer a true DTP tool. This is why they are used by
> some people (myself included) as their template fonts. This means that
> removing them from LibO installs would, at best, force to add them
> afterward, and, at worse, would fail to show the qualities of Writer,
> typographically-wise.
> Hence, I strongly disagree with the removal of these fonts. For the time
> being, the mere fact they haven't been updated in a while doesn't make them
> rubbish, anyway.

I'm all for showing off the features available in LibreOffice, but not sure that bundling 20MB worth of fonts that maybe used by a very minimal amount of users is efficient usage of space. We even show these font in a prominent top section of the top font list combobox when such a space should be taken up by more important fonts.

> Another option would be to remove the fonts from the software installation,
> as proposed, and provide a separate font bundle to be downloaded at the very
> same place the software is available.

I was speaking yesterday with cloph about creating font collection installers for cjk fonts, so i guess one could be considered for an old fonts collection, which would contain all the fonts that were removed.

> Besides, I agree with the idea that the proposed cleanup should only be done
> after a missing font infobar is available so that users whose documents rely
> upon removed fonts be clearly aware of the changes and can take the
> appropriate measures.

Doubt we would need to wait for the infobar, but fixing bug 61134 and/or bug 96872 would be more than sufficient to notify users that fonts are missing, if they havent already noticed how we currently show them that a font is missing.
Comment 8 Yousuf Philips (jay) (retired) 2016-10-11 16:59:21 UTC
Just want to point this out for those who didnt already know, as Tomaz asked me about this on IRC.

* The removal of these fonts will not affect users who upgrade on Windows, either from OOo, AOO or LO, as the fonts are already installed into c:\windows\fonts\.

* This removal wont affect users who upgrade on Linux through their package manager, as for example Ubuntu only ships by default with the Deja Vu, Liberation and OpenSymbol fonts. Users would intentionally have to install the fonts-sil-gentium-basic and fonts-linuxlibertine packages in order to get those fonts. Ubuntu doesnt have packages for Open Sans, PT Serif, Source Code Pro and Source Sans Pro.

* The individuals that i see that will possibly be affected by this are users who havent installed LO before on Windows, but have documents using the removed fonts and users who install the TDF builds of LO on linux, as unfortunately the ooofonts package installs these fonts in /opt/libreoffice5.2/share/fonts/truetype/ rather than a globally accessible location like /usr/share/fonts/truetype/openoffice/ where OpenSymbol is being stored.
Comment 9 Yousuf Philips (jay) (retired) 2016-10-12 00:18:44 UTC
(In reply to V Stuart Foote from comment #6)
> Would propose an alternative route.
> 
> Reduce the "bundled" font to just a single font with good Unicode
> coverage--NOTO NotoSansMonoCJKsc-Regular (15.7MB) seems suitable--and of
> course keep OpenSymbol, but strip everything else out.

I'm assuming you are speaking of ( https://github.com/googlei18n/noto-cjk/blob/master/NotoSansMonoCJKsc-Regular.otf ) and if so here are some of the problems.

1) Its only a sans font
2) Its only a mono space font
3) Its only
4) It only covers CJK in simplified chinese
5) It only has regular and we need bold, italic and bold italic

Its unicode coverage is the same as most other fonts - latin, greek, cyrillic - but also has cjk.

> And then bundle additional license suitable fonts as a single optional
> package/extension with a rudimentary installer to allow users to some
> "guided" choices for the fonts they need to add.

Bundling an additional font pack is definitely useful, but doubt we should place them all into one package, but instead we should break it up into different useful packages for different purposes. We shouldnt ask non-cjk users to download a large cjk font file if they arent going to use it.

> Guided in the sense for
> example that Linux systems need Carlito, Caladea while Windows installs do
> not.

Of course Carlito and Caladea would be needed on windows when documents were created on linux with them and then those documents opened on windows.

> Maintain that package/extension as its own project removed from core.

I've been thinking that we could add these additional font packages to a webpage that would be available at Download > LibreOffice Font Packages, which would be underneath LibreOffice Still in the website tree.
Comment 10 Michael Stahl (CIB) 2016-10-12 09:42:46 UTC
(In reply to Yousuf Philips (jay) from comment #8)
> Just want to point this out for those who didnt already know, as Tomaz asked
> me about this on IRC.
> 
> * The removal of these fonts will not affect users who upgrade on Windows,
> either from OOo, AOO or LO, as the fonts are already installed into
> c:\windows\fonts\.

this appears to be incorrect, the fonts are reference-counted by MSI
so if the last MSI application (e.g. LO) that uses them is uninstalled
they are removed.

i have no idea how fonts work on Mac.
Comment 11 Yousuf Philips (jay) (retired) 2016-10-12 11:52:46 UTC
(In reply to Michael Stahl from comment #10)
> this appears to be incorrect, the fonts are reference-counted by MSI
> so if the last MSI application (e.g. LO) that uses them is uninstalled
> they are removed.

So just so that i'm sure that i'm getting what you are say, when LO upgrades it first uninstalls itself and would remove the fonts before then installing itself?

> i have no idea how fonts work on Mac.

On mac, similar to linux, it isnt installed at the system level and the fonts are put the LO application folder.

/Applications/LibreOffice.app/Contents/Resources/fonts/
Comment 12 Michael Stahl (CIB) 2016-10-12 11:57:27 UTC
(In reply to Yousuf Philips (jay) from comment #11)
> (In reply to Michael Stahl from comment #10)
> > this appears to be incorrect, the fonts are reference-counted by MSI
> > so if the last MSI application (e.g. LO) that uses them is uninstalled
> > they are removed.
> 
> So just so that i'm sure that i'm getting what you are say, when LO upgrades
> it first uninstalls itself and would remove the fonts before then installing
> itself?

if there is another application that originally installed the same font via MSI,
then the font will remain installed, but if the old LO was the only
application that installed the font via MSI, it will be removed.
Comment 13 Yousuf Philips (jay) (retired) 2017-10-21 14:08:00 UTC
(In reply to Michael Stahl from comment #12)
> if there is another application that originally installed the same font via
> MSI,
> then the font will remain installed, but if the old LO was the only
> application that installed the font via MSI, it will be removed.

Well if LO is the only app that has installed them, then they will be uninstalled and if the user requires them, they can install them, just like they would install any other font that isnt bundled with the system or with other apps.

This isnt that different than when in OOo 2.4, the Bitstream Vera fonts were removed in place of DejaVu, and users who still wanted to use Bitstream Vera had to install them themselves.

There shouldnt be a situation that we can never remove fonts because we've been shipping them for a long time.
Comment 14 Caolán McNamara 2017-10-23 10:10:26 UTC
"There shouldnt be a situation that we can never remove fonts because we've been shipping them for a long time."

I rather think that *is* the practical case and f*cking users isn't a wonderful idea
Comment 15 Yousuf Philips (jay) (retired) 2017-10-25 12:08:40 UTC
(In reply to Caolán McNamara from comment #14)
> I rather think that *is* the practical case and f*cking users isn't a
> wonderful idea

I could see us screwing users if we made it impossible for the removed fonts to work in libreoffice, but that isnt the case.

As there has only been objections to removing fonts, i'm assuming nobody has objections to adding the first font collection that i've suggested - Noto fonts. I've bundled the Noto fonts that cover the same languages covered by DejaVu into the following .tar.gz file[1] and would like them added to the source server[2]. Moggi said that this should be discussed at the ESC.

[1] https://drive.google.com/open?id=0B6qJrVIa0SAlcTdXWVFBY3pSc1E
[2] https://dev-www.libreoffice.org/src/
Comment 16 Xisco Faulí 2017-10-31 18:32:13 UTC
*** Bug 101510 has been marked as a duplicate of this bug. ***
Comment 17 Kevin Suo 2017-11-08 15:52:12 UTC
The Noto Sans CJK and Noto Serif CJK fonts are the must-have fonts for CJK UI.Is It possible to include the fonts in lang-packs, so that the fonts are installed only if the user download the lang-pack.
For windows, Currently All the langpacks are currently included in a single msi together with the main installer, which is not a good design. The langpack should be separated for windows so fonts can be put in langpacks and the user can choose which on to download.
Another option is to make the fonts as separated package. If We take this approach, We should remind the user to download the fonts at installation time or at first run.
Comment 18 Yousuf Philips (jay) (retired) 2017-11-09 09:38:22 UTC
Kevin: please see bug 113496.
Comment 19 Commit Notification 2017-11-10 18:53:21 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b97e713e76c88141d26f6e19a74db80a105cb911

tdf#103080 Add Noto fonts into default installation

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 20 Heiko Tietze 2017-11-27 09:37:16 UTC
Removal of Open Sans, PT_Serif, and Source Sans/Code was accepted by the ESC [1] with a few concerns. No further UX input needed.

[1] http://nabble.documentfoundation.org/Libreoffice-qa-minutes-of-ESC-call-tt4227699.html
Comment 21 Yannick.D 2017-11-28 10:37:10 UTC
I‘m not against removing fonts in general. But why is Source Sans/Code now being removed? They have only been mentioned in the context of Ubuntu packaging. How is that an argument? Its one of the most sophisticated open source fonts projects. Why remove it without discussion? For a gain of 2MB?!

This thread started as a promising and structured discussion about bundled fonts but the result is completely intransparent to me.

- Why keep Gentium Book? (Or even Gentium if others are removed?)
- Why don't replace Libertine/Biolinum Graphite versions with OTF? What about its display cut?
- Why keep all those DejaVu fonts? (Which are also rather similar to Noto…)
- …
Comment 22 sommerluk 2017-11-28 11:20:28 UTC
There are now Noto Kufi Arabic and Noto Naskh Arabic.

I would rather think about Noto Sans Arabic instead of Noto Kufi…
Comment 23 Heiko Tietze 2017-11-28 12:17:02 UTC
(In reply to Yannick.D from comment #21)
> But why is Source Sans/Code now being removed?...

I also like this font. So why not install it via package manager? We keep some fonts for compatibility reasons but others that are not absolutely necessary shouldn't be installed by any application.
Comment 24 Francisco 2017-11-28 13:20:46 UTC
As a further comment:

just remember to remove/update all the templates based on the specific font you are deleting. Specially the ones based on Source Sans.

Regards
Comment 25 Yannick.D 2017-11-28 15:21:37 UTC
tldr; Why bother at all and mess up any documents for 2MB? Whats the logic behind picking those 4 fonts?

(In reply to Heiko Tietze from comment #23)
> 
> We keep some fonts for compatibility reasons but others that are not absolutely
> necessary shouldn't be installed by any application.

Thats a valid goal. But what about all the other fonts than? And is it worth touching some Benjamins documents for a mere 2MB?

Open Sans is a rather popular web font whose name might be known to users. Will it at least fall back to Noto Sans automatically if removed? Also it is used in an Impress template called "Impress" that has been around for ages - what about that?

("Alizarin" uses Source Sans by the way but in cuts "Source Sans Pro Black" and "Source Sans Pro Light" which aren't shipped by LO. -- They don't follow the official naming scheme either which would simply be "Source Sans Pro" in light or black weights.)

As I said: why keep two-digit MB worth of Graphite-fonts hardly anyone needs? And if so, they are probably power users able to download and install those files on their own. (There are OTF versions available as substitutes which support the very same features now but are considerably smaller in size and use a much wider spread technology.)

I would argue for a more fundamental reorganization of bundled fonts including discussing default templates (and maybe couple it with a font downloader "addition"). As was the initial scope of this report. A future goal could be to only ship one set of very high quality fonts for each language/character set which are used by default templates. And to give users an easy way to download missing fonts which are than handled by the OS.

(Personally I would rather see the Source family replacing Liberation once the Serif finally sees italics than removing it altogether. Arguably of much higher typographic quality. But also a matter of taste of course.)
Comment 26 Michael Meeks 2017-11-28 15:29:35 UTC
On the other comments I have no particular view -but- removing fonts from the install-set is in generally a -really- terrible idea. As such - we should be -extremely- careful wrt. adding fonts - since then people only seem to clamor to remove them later. Wrt. removing Liberation - the Liberation set is a vital part of our interoperability story, since they are metrically compatible with Ariel and Times New Roman - which form an important part of a vast set of documents. The ESC discussed this - we can discuss it again if there are some more presentable facts. Some of the fonts being removed it was claimed were un-maintained and probably under-used. Any hard data on their popularity to inform the decisions much appreciated. For myself - I'd far prefer to not remove old fonts, than to add new ones if space is the concern =)
Comment 27 Heiko Tietze 2017-11-28 15:43:54 UTC
(In reply to Yannick.D from comment #25)
> I would argue for a more fundamental reorganization of bundled fonts
> including discussing default templates (and maybe couple it with a font
> downloader "addition"). As was the initial scope of this report. A future
> goal could be to only ship one set of very high quality fonts for each
> language/character set which are used by default templates. And to give
> users an easy way to download missing fonts which are than handled by the OS.

Absolutely. Take a look at https://design.blog.documentfoundation.org/2016/11/11/additions-to-libreoffice/ and https://design.blog.documentfoundation.org/2016/10/21/dealing-with-missing-fonts/
Comment 28 Yannick.D 2017-11-28 20:21:11 UTC
Interoperability is of course very valuable to most users so bundling those fonts is probably a good idea. My point was more towards that there's no need have metrically identical to anything fonts as LOs own default. I'd go for something more appealing here. But thats OT anyway.

Thanks for pointing to those posts, Heiko! I missed the one on additions. Still, with such things in planning I even less get why there's a need to mess with fonts now for so little gain.
Comment 29 Yousuf Philips (jay) (retired) 2017-11-28 21:31:03 UTC
(In reply to Yannick.D from comment #21)
> I‘m not against removing fonts in general. But why is Source Sans/Code now
> being removed?

We didn't add the entire font family in LO 4.0 and its unlikely that we will add the serif variant any time soon, as it doesnt come in italics (bug 79022).

> They have only been mentioned in the context of Ubuntu
> packaging. How is that an argument?

So debian also doesnt package the Source font family. It is available in fedora and opensuse repos though. The argument is about how wide spread the open source font is in the linux/foss world.

> Its one of the most sophisticated open
> source fonts projects. Why remove it without discussion? For a gain of 2MB?!

Discussions were had about its removal in the design and ESC meetings last week. The removal isnt about the size, its about its completeness as a font family, its limited unicode coverage, how popular the font is and its future potential.

> - Why keep Gentium Book? (Or even Gentium if others are removed?)
> - Why don't replace Libertine/Biolinum Graphite versions with OTF? What
> about its display cut?
> - Why keep all those DejaVu fonts? (Which are also rather similar to Noto…)

During the ESC meeting on October 26th, the decision was made not to remove Libertine/Biolinum and DejaVu fonts as it would effect alot of documents that were created with these fonts, which have been shipping with LO since 3.3, as well as OOo.

(In reply to sommerluk from comment #22)
> I would rather think about Noto Sans Arabic instead of Noto Kufi…

We also plan to include Noto Sans Arabic. See bug 113532 for more details.

(In reply to Francisco from comment #24)
> just remember to remove/update all the templates based on the specific font
> you are deleting. Specially the ones based on Source Sans.

Yes those are being updated (bug 113795).
Comment 30 Michael Meeks 2017-11-29 02:19:53 UTC
Hi Yannik:
> Interoperability is of course very valuable to most users so bundling
> those fonts is probably a good idea. My point was more towards that there's
> no need have metrically identical to anything fonts as LOs own default.

If by default we create documents that hard-code fonts that are not available (or have no metrically compatible version) on the majority platform - we really hurt our users' ability to save in eg. PPTX and be reasonably sure that the slides look at least similar on the other side of the divide. That would be a problem (to me). We could of course use the newer Google C* compatible fonts Carlito and/or Caladea - but I see these as the only other option for default fonts in our bundled templates etc.
Comment 31 Yannick.D 2017-11-29 07:43:02 UTC
(In reply to Michael Meeks from comment #30)
> If by default we create documents that hard-code fonts that are not
> available (or have no metrically compatible version) on the majority
> platform - we really hurt our users' ability to save in eg.

I really didn‘t know that - Liberation/C-fonts are correctly replaced by their counterparts when opened in Word. Cool! (I always thought of compatibility the other way round.)

(In reply to Yousuf Philips (jay) from comment #29)
> The removal isnt about the size, its about its completeness as a font
> family, its limited unicode coverage, how popular the font is and its future
> potential.

Thank you very much for explaining the thought process, Yousuf!

Still seems a bit half hearted to me. But obviously priorities are a bit different here (see bug 35538, bug 98596): Source family - despite sorely missing the still wip italics – is even now much more complete in terms of OpenType features, font weights, coverage, thought and polish than many of the other fonts. I rather see it has most "future potential" as a third family (DejaVu – legacy, Noto - universal language/unicode support, Source – modern).
Comment 32 Kevin Suo 2017-11-29 10:42:26 UTC
I suggest you guys not to be angry about this. The one who is making the changes was meant to make Libreoffice better. This issue had been discussed (mailing listircetc) before changes are made. This bug report was initiated long time ago. Those who are opposite of this should have expressed their concerns long time ago. And it  is  still not late to raise at this  moment. 

Be polite so that the one who is  contributing would  work harder, otherwise they will feel upset.
Comment 33 Yousuf Philips (jay) (retired) 2017-12-02 22:02:25 UTC
(In reply to Yannick.D from comment #31)
> Still seems a bit half hearted to me. But obviously priorities are a bit
> different here (see bug 35538, bug 98596): Source family - despite sorely
> missing the still wip italics – is even now much more complete in terms of
> OpenType features, font weights, coverage, thought and polish than many of
> the other fonts. I rather see it has most "future potential" as a third
> family (DejaVu – legacy, Noto - universal language/unicode support, Source –
> modern).

If others are of the same opinion that the Source family is worth keeping around as it is modern and has a good future potential for LO, i'm fine with keeping it around. So then the removal would be limited to just Open Sans and PT Serif.

Adolfo, Stuart, Tomaz: what is your take?
Comment 34 Heiko Tietze 2017-12-04 08:35:28 UTC
We weighted arguments and made a plan why and what fonts should be removed. Eventually the decision has been made to remove Source fonts, related work has started. So while I personally also like the Source font, we shouldn't change this decision unless it breaks something.
Comment 35 LibreTraining 2017-12-05 23:41:41 UTC
No fonts should be removed before completion of the missing fonts features improvements.
Simply delay this until then.
There is no urgency in the need to remove these few fonts.

That will make users lives much, much easier.

Otherwise you are going to create a giant $h!tstorm of confused, frustrated, angry users.
For what?
Why now?

Get the current missing fonts mess cleaned-up first.
Then deleting a few font files will not have as much of a potential impact.

Of course Ray-the-moron will not even notice.
But many, many government, academic, and business users will notice.
And have to deal with it.
How much will be the lost productivity cost to those real entities?
Comment 36 Commit Notification 2017-12-16 11:51:08 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0ce173b50fd12342979cf3f8f9b2d92267552060

tdf#103080 Dont package Open Sans and PT_Serif fonts

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 37 Commit Notification 2017-12-18 22:05:04 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6030c822c968be79b493de70c68a0bd51760e52f&h=libreoffice-6-0

tdf#103080 Dont package Open Sans and PT_Serif fonts

It will be available in 6.0.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 38 Commit Notification 2017-12-18 22:28:25 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e45e2c4897933f14c90a65fa74d0ad2a0b620ede

tdf#103080 October 2017 update to Noto fonts

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 39 Commit Notification 2017-12-21 17:13:31 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ae08be01b10d3e7e483f93a1e5ed77354939601d&h=libreoffice-6-0

tdf#103080 October 2017 update to Noto fonts

It will be available in 6.0.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 40 Ulrich Windl 2017-12-27 09:54:11 UTC
(In reply to Yousuf Philips (jay) from comment #0)
[...]
> Step 1 - Removals
> =================
> The current font bundle takes up 42.5 MB and 45% (19.2 MB) of it is taken up
> by the Linux Biolinum G, Linux Libertine Display G, and Linux Libertine G
> fonts and think they should be the first to go as they takes up way to much
> space, they arent highly used fonts, and Khaled Hosney mentioned that "they
> are unmaintained, and of limited value if we move to have OpenType features
> everywhere."

So the question is: Why had these fonts been added anyway?

> 
> The next thing on the chopping block would be the second largest font
> collection that takes up 22% (9.2 MB), Deja Vu. This Bitstream Vera
> derivative which has been around since OOo 2.4 is still being updated, but
> only has had 5 revisions since LO was created and has limited language
> support (Latin, Greek, Cyrillic, Armenian, Georgian). If letting go complete
> of Deja Vu isnt agreed upon, then I'd suggest we reduce its size by 45% (to
> 5.1 MB) by removing the Condensed and ExtraLight versions.

So most arguments seem to be distribution size.

> Step 2 - Replacements
> =====================
> In order to eliminate bundling similar and/or derivative fonts, we can
> substitute less useful fonts with others, similar to when Bitstream Vera was
> replaced by DejaVu. Open Sans resembled Droid Sans and has limited language
> support (Latin, Greek and Cyrillic) and doesnt have a serif equivalent that
> we can bundle. So we should replace this with the Droid derivative Noto font
> family, which has both sans and serif and unlimited language support, but i
> would suggest limiting the languages to what is covered in Deja Vu to begin
> with, which would take up 3.1 MB. (Tomaz and Adolfo both recommended this in
> bug 91150)

AFAIK LO still lacks a mechanism to group fonts by similarity and is able to pick the most similar font for replacement. Even if it could, any font change can ruin the design of any document.

> 
> Step 3 - Additions
> ==================
> With the removals and replacements, the fonts now take up ~16 MB and we can
> begin not only adding english fonts but open source fonts for languages we
> previously didnt support through our bundled fonts.
[...]

In summary I think:
1) Avoid font changes (shipped fonts, default fonts) whenever possible, because it adds frustration to the existing user base.

2) As fonts change more rarely as the program code, I think it would be a valid option to put the fonts in a separate package (like the offline help). Thus the average download size for an update would be reduced also.

3) Too late, but: Pick the right fonts, meaning careful consideration which font to add/use and why. Maybe the LO Team should get involved into maintaining the fonts being used/shipped: Instead of dropping fonts because of some problems, fix the fonts. That would add much stability on the long term.
Comment 41 Commit Notification 2018-02-16 14:51:07 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bca6b706dfa092ed5d2c9ad58c18c9e598d6e2f1

tdf#103080 Remove Open Sans and PT_Serif licenses

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 42 João Paulo 2018-03-05 17:13:08 UTC
I agree with the extra package for the fonts only.

I also agree with the infobar notifying more visually the user about the missing fonts (https://design.blog.documentfoundation.org/2016/10/21/dealing-with-missing-fonts/).

But I created a Bug ID which, to date, remains open: https://bugs.documentfoundation.org/show_bug.cgi?id=64509

On this Bug ID I commented about enhancing the font substitution table. There Caólan McNamara told me about the vcl.xcu file which have the default font substittuons, but I had to find myself how to edit that file (luckily I found the "https://wiki.documentfoundation.org/LibreOffice_Localization_Guide/Advanced_Source_Code_Modifications" page).

I edited the vcl.xcu file, but as I am not a developer nor I know how to submit patches to the source tree (I think arcane magic should be handled with care), I just submitted my version of the file on that Bug ID (it became "https://bugs.documentfoundation.org/show_bug.cgi?id=64509").

I am more than willing to help with the font substitution table (it's just a matter of knowing which fonts can be substituted for which, and editing a text file), as it has the potential to avoid installing unneeded fonts by using the next best alternate font family (Bitstream Vera fonts can easily be substituted for DejaVu or DejaVu LGC fonts -- Latin/Greek/Cyrillic), but I need someone to submit the patches for me (installing arcane magic software to submit patches is not for me).

PS: DejaVu could be substituted for DejaVu LGC to minimize space.
Comment 43 Aron Budea 2018-03-15 15:30:41 UTC
It seems that the wiki page could use updating:
https://wiki.documentfoundation.org/Fonts
Comment 44 Heiko Tietze 2018-03-19 13:58:57 UTC
(In reply to João Paulo from comment #42)
> I am more than willing to help with the font substitution table ... but
> I need someone to submit the patches for me (installing arcane magic
> software to submit patches is not for me).

Everyone can submit changes to Gerrit. Learn more at https://design.blog.documentfoundation.org/2018/02/22/easyhacking-set-environment/ and https://wiki.documentfoundation.org/Development/gerrit. And feel free to ask at the ML, on IRC or directly.

(In reply to Aron Budea from comment #43)
> It seems that the wiki page could use updating:
> https://wiki.documentfoundation.org/Fonts

https://redmine.documentfoundation.org/issues/2572
Comment 45 xanadu 2018-08-03 08:23:24 UTC
There is a new high-quality unicode font on the scene: EB Garamond

It was first released in 2011 and became an open source community project. Since 2017 the font has reached a level of quality that is higher than the quality level of commercial implementations of the Garamond.

"Released in 2011 by Georg Duffner, EB Garamond is a free software version of Garamond released under the Open Font License and available through Google Fonts. Duffner based the design on a specimen printed by Egelnoff-Berner in 1592, with italic and Greek characters based on Robert Granjon's work, as well as the addition of Cyrillic characters and OpenType features such as swash italic capitals and schoolbook alternates. It is intended to include multiple optical sizes, as of 2014 including fonts based on the 8 and 12 point forms on the 1592 specimen. It has been described as "one of the best open source fonts" by prominent typeface designer Erik Spiekermann. As Georg Duffner couldn't complete the bold weights for personal reasons, the project was continued by Octavio Pardo. As of 2018 this implementation has 5 weights (Regular, Medium, Semi-Bold, Bold and Extra-Bold), both in regular and italic style." (https://en.wikipedia.org/wiki/Garamond#EB_Garamond)

Download: https://github.com/octaviopardo/EBGaramond12/tree/master/fonts/otf

I tested it and it is great, thus I will use it for my PhD in Linguistics. I think it is really worth to be included in LibreOffice.
Comment 46 Heiko Tietze 2018-08-03 10:20:11 UTC
(In reply to xanadu from comment #45)
> There is a new high-quality unicode font on the scene: EB Garamond ...

Please open a new ticket. Otherwise we never get rid of this issue :-)

(Seriously, having a target at whiteboard and 45 comments are not encouraging for people who implement stuff.)
Comment 47 xanadu 2018-08-03 18:50:27 UTC
(In reply to Heiko Tietze from comment #46)
> (In reply to xanadu from comment #45)
> > There is a new high-quality unicode font on the scene: EB Garamond ...
> 
> Please open a new ticket. Otherwise we never get rid of this issue :-)
> 
> (Seriously, having a target at whiteboard and 45 comments are not
> encouraging for people who implement stuff.)

As long as https://wiki.documentfoundation.org/Fonts link here, it wont die. ;)